(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     28903,        842]
NotebookOptionsPosition[     21896,        687]
NotebookOutlinePosition[     24148,        745]
CellTagsIndexPosition[     24063,        740]
WindowTitle->ReflectWeight
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "c26fc4f5-b736-404e-8627-8f1f92f40a7d"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"f5ab7dcb-b49c-42bc-9412-5944aba55a29"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "3fe3a82f-b150-4f94-aca2-1e61520b306b"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "See Also",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"775cafce-88b2-43d7-bdae-65e8626e1128"],
         TextCell[
          Row[{"See Also", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Weights\"\>":>Documentation`HelpLookup[
       "paclet:GroupMath/ref/Weights"], "\<\"DominantWeights\"\>":>
       Documentation`HelpLookup[
       "paclet:GroupMath/ref/DominantWeights"], "\<\"DominantConjugate\"\>":>
       Documentation`HelpLookup[
       "paclet:GroupMath/ref/DominantConjugate"], "\<\"WeylOrbit\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/ref/WeylOrbit"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"SeeAlso"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "f6c2abd7-43a8-4728-a0ec-e511ce7d8e9b"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"41f49b2d-8361-4796-b799-3df25c2df7ff"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath/ref/ReflectWeight\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/ReflectWeight"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
ReflectWeight.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$23828], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/ReflectWeight", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "f695071c-2528-4b25-9f13-7f981a382b8f"]
    }], "AnchorBar",ExpressionUUID->"3dd7aac9-d1d2-405e-8dce-366a157f1b7a"]}
  }]], "AnchorBarGrid",
 CellID->1,ExpressionUUID->"0826f499-e948-414b-87cd-f06d45a5e90a"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["ReflectWeight", "ObjectName",ExpressionUUID->
  "baae24a3-7999-4bb0-83e2-fba882792729"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"16c11746-78cf-46bb-96ac-4911926b281c"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "0d68e7c2-4cc6-4191-b68a-6b55c9f218c6"]
}], "ObjectNameGrid",ExpressionUUID->"6f94a648-23a9-4b2c-83ea-f66631ad2bc6"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"ReflectWeight", "[", 
       RowBox[{"group", ",", "weight", ",", "i"}], "]"}]], "InlineFormula",
      ExpressionUUID->"bb7be86d-0758-466e-9501-b75d288f5ac1"],
     " \[LineSeparator]Performs the simple Weyl reflection ",
     Cell[BoxData[
     "i"], "InlineFormula",ExpressionUUID->
      "e899cded-97ff-4f83-bbc0-ff668b27f642"],
     ", of the ",
     Cell[BoxData[
     "weight"], "InlineFormula",ExpressionUUID->
      "b7a6a9c4-a846-4c12-bc6b-35fa5dd36ad6"],
     " of the simple Lie ",
     Cell[BoxData[
     "group"], "InlineFormula",ExpressionUUID->
      "deb0166e-d757-4fa7-8301-d5d002c96b66"],
     "."
    }],ExpressionUUID->"cca794e0-1ac4-4491-9d33-68a8937e9a1a"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"b7fc0949-fd53-452d-a98a-b8500bf5f306"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"cf66a08f-599f-4797-863e-aa9149bc69af"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"ebadd578-3fcf-4112-ba98-543b78597ec1"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"0536a5ec-d384-47b8-b973-57cb65c773bb"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->367174117,ExpressionUUID->"0adb5ce6-4be8-405e-917f-c2956846d876"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"414feb36-a059-4172-9078-8aefe286fc3d"],

Cell[TextData[{
 "The set of weights of a representation of a simple Lie group have a \
symmetry characterized by the Weyl group. This group is generated by n \
elementary reflections ",
 Cell[BoxData[
  SubscriptBox["s", "i"]], "InlineFormula",ExpressionUUID->
  "d68fdcc6-231f-403c-9958-7d55a6c4756e"],
 " (where n is the group rank), which are performed by performed by this \
function ",
 Cell[BoxData[
 "ReflectWeight"], "InlineFormula",ExpressionUUID->
  "82db3071-8e68-45aa-b18d-640e67bfdb65"],
 "."
}], "Notes",
 CellID->1067943069,ExpressionUUID->"a40962d1-53f3-4332-b1e7-0a2de894b5da"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"8d87bc05-2a55-4dba-8685-796b42f4ab24"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"4696447f-a3e0-4b0d-a74b-118bb4e38ade"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "070bff04-70a3-4cc2-9fc8-50a1324fe915"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->500351979,ExpressionUUID->"276604d2-1a38-477c-8869-326e4fc325c0"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "6ae2b1e8-e988-4b53-a277-a3d55046b53f"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->244465100,ExpressionUUID->"be253ee6-bb2c-4478-9ece-3aea00308569"],

Cell[TextData[{
 "Consider the weight {3,4} of SU(3). It's ",
 Cell[BoxData[
  SubscriptBox["s", "1"]], "InlineFormula",ExpressionUUID->
  "d7ac4786-b0d2-4644-a0fe-82f6e88bedb7"],
 " reflection is"
}], "Notes",
 CellID->187841187,ExpressionUUID->"69a0f522-37f4-4d50-b86c-01cc2eb55436"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReflectWeight", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", "1"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->73384153,ExpressionUUID->"78f42afd-3dad-40ab-bd8a-1109e534292a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "3"}], ",", "7"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->552044577,ExpressionUUID->"7fbc5d86-e1b3-4812-a9d1-170aa35a66c5"]
}, Open  ]],

Cell[TextData[{
 "The other reflection, ",
 Cell[BoxData[
  SubscriptBox["s", "2"]], "InlineFormula",ExpressionUUID->
  "f4ad8887-e4ff-493a-9058-a8e8a46fcee2"],
 ", yields"
}], "Notes",
 CellID->688350564,ExpressionUUID->"9de42fc1-2ea5-4d7f-a634-d01b06d41a79"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReflectWeight", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", "2"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->254270140,ExpressionUUID->"65f425c8-ed33-4b74-a714-e41c98bf2457"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"7", ",", 
   RowBox[{"-", "4"}]}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->232066343,ExpressionUUID->"373934ef-04de-43ab-a965-1574d257393b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "2e1f266f-8a99-4c04-bfd3-dacfc390e44a"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->403508811,ExpressionUUID->"b79156a8-b858-4b16-9032-68d413b8c562"],

Cell["\<\
Let us consider the {2,1} representation of SU(3), which is 15-dimensional:\
\>", "Notes",
 CellID->450341596,ExpressionUUID->"f3703053-d621-45b9-b6ad-04aff51e46ed"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RepName", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->162970475,ExpressionUUID->"04c13331-eb9f-46eb-9e2b-d9ab288ccf08"],

Cell[BoxData[
 StyleBox["\<\"15\"\>",
  StripOnInput->False,
  FontWeight->Bold]], "Output",
 CellLabel->"Out[1]=",
 CellID->23257430,ExpressionUUID->"fa30bc64-aae8-49f0-b60f-667d3ec1c36d"]
}, Open  ]],

Cell["Its weights, with multiplicities, are the following:", "Notes",
 CellID->79786814,ExpressionUUID->"d520528c-0bd7-4133-88d8-bbc59a705486"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"weights", "=", 
  RowBox[{"Weights", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "1"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->121374016,ExpressionUUID->"76efe778-1137-4068-8069-fcd554965ca0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "2"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "1"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->107888041,ExpressionUUID->"0d4a38a8-444f-46d4-806b-9b820b3e383f"]
}, Open  ]],

Cell[TextData[{
 "Their ",
 Cell[BoxData[
  SubscriptBox["s", "1"]], "InlineFormula",ExpressionUUID->
  "cc81ca68-b399-4fd0-bf7a-1a65571cd2aa"],
 "  and ",
 Cell[BoxData[
  SubscriptBox["s", "2"]], "InlineFormula",ExpressionUUID->
  "886fd96b-1f4d-4ac4-a9ea-c9e4a6bed657"],
 " reflections are"
}], "Notes",
 CellID->336055572,ExpressionUUID->"0ef0ea21-c4c8-49af-8846-f450e7b7b8c6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"weightsS1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ReflectWeight", "[", 
       RowBox[{"SU3", ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}], ",", 
      RowBox[{"#", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "&"}], "/@", 
   RowBox[{"Weights", "[", 
    RowBox[{"SU3", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "]"}]}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->784741422,ExpressionUUID->"5ddcc087-807d-445b-8994-14d5c4395f4b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "2"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", "1"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->348980319,ExpressionUUID->"1ab38aaa-07a5-4613-934f-3cc73a66df09"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"weightsS2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ReflectWeight", "[", 
       RowBox[{"SU3", ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", "2"}], "]"}], ",", 
      RowBox[{"#", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "&"}], "/@", 
   RowBox[{"Weights", "[", 
    RowBox[{"SU3", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "]"}]}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->525776994,ExpressionUUID->"9bc95961-e26c-4039-9d90-d4ef53906cfe"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "2"}], "}"}], ",", "1"}], "}"}]}], 
  "}"}]], "Output",
 CellLabel->"Out[4]=",
 CellID->426542476,ExpressionUUID->"9d4e52f1-b45a-4d96-9013-00bd9d6bda80"]
}, Open  ]],

Cell["These are exactly the original weights, but reshuffled:", "Notes",
 CellID->346716671,ExpressionUUID->"7d539820-c249-4b55-a477-cb9c24e4278e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Sort", "[", "weights", "]"}], "\[Equal]", 
  RowBox[{"Sort", "[", "weightsS1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Sort", "[", "weights", "]"}], "\[Equal]", 
  RowBox[{"Sort", "[", "weightsS2", "]"}]}]}], "Input",
 CellLabel->"In[5]:=",
 CellID->98827248,ExpressionUUID->"d8bff46a-6bf7-4f8c-b2b0-a231694384ad"],

Cell[BoxData["True"], "Output",
 CellLabel->"Out[5]=",
 CellID->55604204,ExpressionUUID->"7662d92c-919b-4010-a07b-fb9c45090353"],

Cell[BoxData["True"], "Output",
 CellLabel->"Out[5]=",
 CellID->921868352,ExpressionUUID->"b14895bf-1143-4a32-bf85-8553fdac02ce"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"de8940dd-bbd2-4a8a-a8cb-888c9419469a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"32eaeec7-04e7-42d1-9e4c-0ae6c876d714"],
 "See Also"
}], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->1255426704,ExpressionUUID->"beb70a57-9c50-4067-b9eb-d7f2869a501e"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Weights"]],"paclet:GroupMath/ref/Weights"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"85c32340-3955-45b0-8b6d-6fcce2bdc770"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["DominantWeights"]],"paclet:GroupMath/ref/DominantWeights"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"7010daba-efa4-4136-b570-01628a585f2c"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["DominantConjugate"]],"paclet:GroupMath/ref/DominantConjugate"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"04c177d8-f464-4f7a-bb9a-5a2785efa517"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["WeylOrbit"]],"paclet:GroupMath/ref/WeylOrbit"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"767614ad-9146-4e31-b54e-0b4daede5841"]
}], "SeeAlso",
 CellID->40137011,ExpressionUUID->"27073cde-2745-432b-85c1-45aab34670df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"41ca6397-d962-4021-a02b-2c6de13d8f77"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"86f5c17d-42ef-4a75-bb66-bf7d4cdb447f"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"0b765522-ac32-445b-845a-d426308d9ade"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"760fb8fd-09db-48a3-b079-45fe7385c4fc"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"1b3ba2f8-997d-4f52-90d8-98af16387cb6"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ReflectWeight",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 11, 4, 11, 39, 52.8259457}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "ReflectWeight[group, weight, i] Performs the simple Weyl reflection i, \
of the weight of the simple Lie group.", "synonyms" -> {}, "tabletags" -> {}, 
    "title" -> "ReflectWeight", "titlemodifier" -> "", "windowtitle" -> 
    "ReflectWeight", "type" -> "Symbol", "uri" -> 
    "GroupMath/ref/ReflectWeight", "WorkflowDockedCell" -> ""}, 
  "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[8044, 208, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"276604d2-1a38-477c-8869-326e4fc325c0",
   CellTags->"PrimaryExamplesSection",
   CellID->500351979]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 23865, 733}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[585, 21, 4391, 98, 53, "AnchorBarGrid",ExpressionUUID->"0826f499-e948-414b-87cd-f06d45a5e90a",
 CellID->1],
Cell[CellGroupData[{
Cell[5001, 123, 398, 9, 52, "ObjectNameGrid",ExpressionUUID->"6f94a648-23a9-4b2c-83ea-f66631ad2bc6"],
Cell[5402, 134, 937, 23, 110, "Usage",ExpressionUUID->"b7fc0949-fd53-452d-a98a-b8500bf5f306",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[6376, 162, 855, 21, 37, "NotesSection",ExpressionUUID->"0adb5ce6-4be8-405e-917f-c2956846d876",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->367174117],
Cell[7234, 185, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"414feb36-a059-4172-9078-8aefe286fc3d"],
Cell[7323, 187, 595, 14, 70, "Notes",ExpressionUUID->"a40962d1-53f3-4332-b1e7-0a2de894b5da",
 CellID->1067943069],
Cell[7921, 203, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"8d87bc05-2a55-4dba-8685-796b42f4ab24"]
}, Closed]],
Cell[CellGroupData[{
Cell[8044, 208, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"276604d2-1a38-477c-8869-326e4fc325c0",
 CellTags->"PrimaryExamplesSection",
 CellID->500351979],
Cell[CellGroupData[{
Cell[8504, 223, 308, 7, 29, "ExampleSection",ExpressionUUID->"be253ee6-bb2c-4478-9ece-3aea00308569",
 CellID->244465100],
Cell[8815, 232, 285, 7, 35, "Notes",ExpressionUUID->"69a0f522-37f4-4d50-b86c-01cc2eb55436",
 CellID->187841187],
Cell[CellGroupData[{
Cell[9125, 243, 247, 6, 26, "Input",ExpressionUUID->"78f42afd-3dad-40ab-bd8a-1109e534292a",
 CellID->73384153],
Cell[9375, 251, 190, 5, 35, "Output",ExpressionUUID->"7fbc5d86-e1b3-4812-a9d1-170aa35a66c5",
 CellID->552044577]
}, Open  ]],
Cell[9580, 259, 260, 7, 35, "Notes",ExpressionUUID->"9de42fc1-2ea5-4d7f-a634-d01b06d41a79",
 CellID->688350564],
Cell[CellGroupData[{
Cell[9865, 270, 248, 6, 26, "Input",ExpressionUUID->"65f425c8-ed33-4b74-a714-e41c98bf2457",
 CellID->254270140],
Cell[10116, 278, 190, 5, 35, "Output",ExpressionUUID->"373934ef-04de-43ab-a965-1574d257393b",
 CellID->232066343]
}, Open  ]],
Cell[CellGroupData[{
Cell[10343, 288, 242, 5, 8, "ExampleDelimiter",ExpressionUUID->"b79156a8-b858-4b16-9032-68d413b8c562",
 CellID->403508811],
Cell[10588, 295, 175, 3, 35, "Notes",ExpressionUUID->"f3703053-d621-45b9-b6ad-04aff51e46ed",
 CellID->450341596],
Cell[CellGroupData[{
Cell[10788, 302, 232, 6, 26, "Input",ExpressionUUID->"04c13331-eb9f-46eb-9e2b-d9ab288ccf08",
 CellID->162970475],
Cell[11023, 310, 189, 5, 35, "Output",ExpressionUUID->"fa30bc64-aae8-49f0-b60f-667d3ec1c36d",
 CellID->23257430]
}, Open  ]],
Cell[11227, 318, 143, 1, 35, "Notes",ExpressionUUID->"d520528c-0bd7-4133-88d8-bbc59a705486",
 CellID->79786814],
Cell[CellGroupData[{
Cell[11395, 323, 264, 7, 26, "Input",ExpressionUUID->"76efe778-1137-4068-8069-fcd554965ca0",
 CellID->121374016],
Cell[11662, 332, 1725, 62, 52, "Output",ExpressionUUID->"0d4a38a8-444f-46d4-806b-9b820b3e383f",
 CellID->107888041]
}, Open  ]],
Cell[13402, 397, 381, 11, 70, "Notes",ExpressionUUID->"0ef0ea21-c4c8-49af-8846-f450e7b7b8c6",
 CellID->336055572],
Cell[CellGroupData[{
Cell[13808, 412, 572, 17, 70, "Input",ExpressionUUID->"5ddcc087-807d-445b-8994-14d5c4395f4b",
 CellID->784741422],
Cell[14383, 431, 1725, 62, 52, "Output",ExpressionUUID->"1ab38aaa-07a5-4613-934f-3cc73a66df09",
 CellID->348980319]
}, Open  ]],
Cell[CellGroupData[{
Cell[16145, 498, 572, 17, 70, "Input",ExpressionUUID->"9bc95961-e26c-4039-9d90-d4ef53906cfe",
 CellID->525776994],
Cell[16720, 517, 1728, 63, 52, "Output",ExpressionUUID->"9d4e52f1-b45a-4d96-9013-00bd9d6bda80",
 CellID->426542476]
}, Open  ]],
Cell[18463, 583, 147, 1, 70, "Notes",ExpressionUUID->"7d539820-c249-4b55-a477-cb9c24e4278e",
 CellID->346716671],
Cell[CellGroupData[{
Cell[18635, 588, 364, 8, 70, "Input",ExpressionUUID->"d8bff46a-6bf7-4f8c-b2b0-a231694384ad",
 CellID->98827248],
Cell[19002, 598, 128, 2, 35, "Output",ExpressionUUID->"7662d92c-919b-4010-a07b-fb9c45090353",
 CellID->55604204],
Cell[19133, 602, 129, 2, 35, "Output",ExpressionUUID->"b14895bf-1143-4a32-bf85-8553fdac02ce",
 CellID->921868352]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[19301, 609, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"de8940dd-bbd2-4a8a-a8cb-888c9419469a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19424, 614, 260, 7, 70, "SeeAlsoSection",ExpressionUUID->"beb70a57-9c50-4067-b9eb-d7f2869a501e",
 CellID->1255426704],
Cell[19687, 623, 1480, 38, 70, "SeeAlso",ExpressionUUID->"27073cde-2745-432b-85c1-45aab34670df",
 CellID->40137011]
}, Open  ]],
Cell[CellGroupData[{
Cell[21204, 666, 262, 7, 70, "TutorialsSection",ExpressionUUID->"86f5c17d-42ef-4a75-bb66-bf7d4cdb447f",
 CellID->250839057],
Cell[21469, 675, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"0b765522-ac32-445b-845a-d426308d9ade"],
Cell[21558, 677, 241, 5, 70, "Tutorials",ExpressionUUID->"760fb8fd-09db-48a3-b079-45fe7385c4fc",
 CellID->341631938]
}, Open  ]],
Cell[21814, 685, 78, 0, 70, "FooterCell",ExpressionUUID->"1b3ba2f8-997d-4f52-90d8-98af16387cb6"]
}
]
*)

(* End of internal cache information *)

